package net.northking.cctp.project.dto.project;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

public class ProjectSimpleInfo {
    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    private String id;
    /**
     * 系统名称<br>
     */
    @ApiModelProperty("系统名称")
    private String name;
    /**
     * 父系统主键<br>
     */
    @ApiModelProperty("父系统主键")
    private String parentId;
    /**
     * 祖先系统主键<br>
     */
    @ApiModelProperty("根系统主键")
    private String rootId;
    /**
     * 是否叶子（Y是N否）<br>
     */
    @ApiModelProperty("是否叶子（Y是N否）")
    private Boolean leaf;
    /**
     * 系统状态<br>
     */
    @ApiModelProperty("系统状态")
    private Integer status;
    /**
     * 系统开始时间<br>
     */
    @ApiModelProperty("系统开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startTime;
    /**
     * 计划上线日期<br>
     */
    @ApiModelProperty("计划上线日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date productionTime;

    @ApiModelProperty("租户id")
    private String tenantId;

    @ApiModelProperty("子系统")
    private List<ProjectSimpleInfo> children;

    @ApiModelProperty("系统编码")
    private String code;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getRootId() {
        return rootId;
    }

    public void setRootId(String rootId) {
        this.rootId = rootId;
    }

    public Boolean getLeaf() {
        return leaf;
    }

    public void setLeaf(Boolean leaf) {
        this.leaf = leaf;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getProductionTime() {
        return productionTime;
    }

    public void setProductionTime(Date productionTime) {
        this.productionTime = productionTime;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public List<ProjectSimpleInfo> getChildren() {
        return children;
    }

    public void setChildren(List<ProjectSimpleInfo> children) {
        this.children = children;
    }
}
